Skip to main content
GET
https://{tenantDomain}/api/v2
/
clients
/
{id}
/
connections
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Clients;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Clients.Connections.GetAsync(
            id: "id",
            request: new ConnectionsGetRequest {
                Strategy = new List<ConnectionStrategyEnum>(){
                    ConnectionStrategyEnum.Ad,
                }
                ,
                From = "from",
                Take = 1,
                Fields = "fields",
                IncludeFields = true
            }
        );
    }

}
{
  "connections": [
    {
      "name": "My connection",
      "display_name": "<string>",
      "options": {},
      "id": "con_0000000000000001",
      "strategy": "auth0",
      "realms": [
        "<string>"
      ],
      "is_domain_connection": true,
      "show_as_button": true,
      "metadata": {},
      "authentication": {
        "active": true
      },
      "connected_accounts": {
        "active": true,
        "cross_app_access": true
      },
      "cross_app_access_requesting_app": {
        "active": true
      }
    }
  ],
  "next": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the client for which to retrieve enabled connections.

Query Parameters

strategy
enum<string>[]

Provide strategies to only retrieve connections with such strategies

Available options:
ad,
adfs,
amazon,
apple,
dropbox,
bitbucket,
auth0-oidc,
auth0,
baidu,
bitly,
box,
custom,
daccount,
dwolla,
email,
evernote-sandbox,
evernote,
exact,
facebook,
fitbit,
github,
google-apps,
google-oauth2,
instagram,
ip,
line,
linkedin,
oauth1,
oauth2,
office365,
oidc,
okta,
paypal,
paypal-sandbox,
pingfederate,
planningcenter,
salesforce-community,
salesforce-sandbox,
salesforce,
samlp,
sharepoint,
shopify,
shop,
sms,
soundcloud,
thirtysevensignals,
twitter,
untappd,
vkontakte,
waad,
weibo,
windowslive,
wordpress,
yahoo,
yandex,
auth0-adldap
from
string

Optional Id from which to start selection.

Maximum string length: 1000
take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
fields
string

A comma separated list of fields to include or exclude (depending on include_fields) from the result, empty to retrieve all fields

Maximum string length: 1000
include_fields
boolean

true if the fields specified are to be included in the result, false otherwise (defaults to true)

Response

Success

connections
object[]
required
next
string

Encoded next token